Subject: bug#754: Can't cancel dabbrev-expand (M-/) with C-g

From: David Caldwell <[email-masked]>
Date: Thu, 21 Aug 2008 12:30:11 -0700

Chong Yidong wrote:
>> If I have many buffers open (284 at the moment) and if I run
>> dabbrev-expand (M-/) to expand the word under my buffers then it
>> searches through every buffer and takes an understandably long
>> time. If I mispelled the word fragment then it never has a hope of
>> finding it and I'd like to cancel the operation. But C-g does not work
>> for some reason and so I have to wait a good 5 to 10 seconds for it to
>> finish scanning all my buffers. This gets very frustrating after the
>> third or fourth time.
> 
> I don't see why C-g wouldn't work here.  Could you apply the following
> patch and see if the problem persists?  (This is not a fix; it's an
> attempt to diagnose the problem.  As far as I know, quitting should not
> be inhibited here.)

>          ;; Walk through the buffers till we find a match.
> !        (let ((inhibit-quit nil)
> ! 	     expansion)

I tried the patch but Emacs behaved the same as without it.

-David